package no.ntnu.item.arctis.runtime;

import java.util.Hashtable;

public abstract class AbstractRuntime {
	
	protected static final Hashtable instances = new Hashtable();
	
	public static AbstractRuntime getRuntime(Object me) {
		return (AbstractRuntime)instances.get(me);
	}
	
	protected static final Hashtable context = new Hashtable();
    
    public void addContext(String id, Object contextObject) {
        AbstractRuntime.context.put(id, contextObject);
    }

    public Object getContext(String id) {
        return AbstractRuntime.context.get(id);
    }
		
	public abstract void sendToMe(Object obj, String ID, Object data);
	
	public abstract void sendToMe(Object obj, String ID);

	public abstract Object createAddress(String uri);
	
	public abstract String getMyAddress(Object obj);

}
