package no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers;

import java.util.regex.Pattern;

import javax.swing.JOptionPane;

import no.ntnu.item.ramses.runtime.Scheduler;

public class GamePlayers {

	public String serverAddress;

	public void setServerAddress() {
		String s;
		String _255 = "(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)";
		final Pattern IP_PATTERN = 
			Pattern.compile( "^(?:" + _255 + "\\.){3}" + _255 + "$");
		do {
			s = (String)JOptionPane.showInputDialog("Enter server IP address:\n(If it's running on the same machine, leave field empty..)", "");
		} while (s != null && !(s.trim().equals("") || IP_PATTERN.matcher(s.trim()).matches()));
		if (s == null) System.exit(0);
		else if (s.trim().equals("")) s = "127.0.0.1";
		else s = s.trim();
		serverAddress = "item://" + s + "/no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer0";
	}

	public String getServerAddress() {
		return serverAddress;
	}

	public void askUserName() {
		new Thread() {
			public void run() {
				String input = (String)JOptionPane.showInputDialog("Please enter a nickname..");
				// If input is supplied, message it.
				if (input == null) System.exit(0);
				Scheduler.getRuntime(GamePlayers.this).sendToMe(GamePlayers.this, "userNameInput", input);
			}
		}.start();
	}

	public void showDeniedMessage(String errorMsg) {
		System.err.println(errorMsg);
	}
}