package no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers;

import no.ntnu.item.arctis.mariubje.rps.data.Challenge;

public class GamePlayersSM extends java.lang.Object implements no.ntnu.item.ramses.runtime.Scheduler.IStateMachine, no.ntnu.item.arctis.runtime.IFilterableSession {


    protected no.ntnu.item.ramses.runtime.Scheduler scheduler;
    protected java.lang.String _stateMachineID;
    private int _currentState;
    private final static int s_0 = 0;
    private final static int _initial_state = 1;
    private final static int s_2 = 2;
    private final static int s_4 = 3;
    private final static int s_5 = 4;
    private final static int s_8 = 5;
    private final static int s_15 = 6;
    private final static int s_11 = 7;
    private final static int s_6 = 8;
    private final static int s_10 = 9;
    private final static int s_7 = 10;
    private final static int s_9 = 11;
    private final static int s_12 = 12;
    private final static int s_14 = 13;
    private final static int s_13 = 14;
    private final static int _final_state = 15;
    protected java.lang.Object _RpsSystem_gameServer;
    protected no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers.GamePlayers __actions__RpsSystem_gamePlayers;
    protected no.ntnu.item.arctis.mariubje.rps.rpsgame.playerone.PlayerOne __actions__rpsGame_RpsGame_playerOne;
    protected no.ntnu.item.arctis.mariubje.rps.lobbyguest.guest.Guest __actions__lobby_LobbyGuest_guest;
    protected no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_o3_chat;
    // Address of other session
    protected Object _lobby_LobbyGuest_lobby;
    protected java.util.List _lobby_LobbyGuest_o1_userList;
    protected Object _lobby_LobbyGuest_sessionId;
    protected java.lang.String _RpsSystem_o2_errorMsg;

    protected GamePlayersSM() {
    }

    public GamePlayersSM(no.ntnu.item.ramses.runtime.Scheduler scheduler) {
        this.scheduler = scheduler;
        this._stateMachineID = scheduler.registerMainStateMachine("no.ntnu.item.arctis.mariubje.rps.rpssystem.GamePlayers", this);
        this.__actions__RpsSystem_gamePlayers = new no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers.GamePlayers();
        this.__actions__rpsGame_RpsGame_playerOne = new no.ntnu.item.arctis.mariubje.rps.rpsgame.playerone.PlayerOne();
        this.__actions__lobby_LobbyGuest_guest = new no.ntnu.item.arctis.mariubje.rps.lobbyguest.guest.Guest();
        this.scheduler.registerActionClass(__actions__RpsSystem_gamePlayers, this);
        this.scheduler.registerActionClass(__actions__rpsGame_RpsGame_playerOne, this);
        this.scheduler.registerActionClass(__actions__lobby_LobbyGuest_guest, this);
    }


    public void fireInitial(){
        System.out.println("Fire Initial called, StateMachine ID: " + getId());
        _currentState = s_0;
        __actions__RpsSystem_gamePlayers.setServerAddress();
        __actions__RpsSystem_gamePlayers.askUserName();
        _currentState = s_2;
    }

    public int fire(java.lang.Object _sender, Object sessionId, java.lang.String _signalID, java.lang.Object _data){
        System.out.println("Fire Signal called. Signal ID: " + _signalID + ". StateMachine ID: " + getId());
        if(_currentState == s_2) {
            	if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
                _currentState = s_2;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
                _currentState = s_2;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
                _currentState = s_2;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
                _currentState = s_2;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("userNameInput")) {
                java.lang.String _RpsSystem_userName = (java.lang.String) _data;
                __actions__lobby_LobbyGuest_guest.userName = _RpsSystem_userName;
//                if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e28", _RpsSystem_userName);}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e28", _RpsSystem_userName);}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e28", _RpsSystem_userName);}
//;
                // Tricky part to model!
                _RpsSystem_gameServer = scheduler.createAddress(__actions__RpsSystem_gamePlayers.getServerAddress());
                _lobby_LobbyGuest_sessionId = scheduler.getFreshSessionId();
                _lobby_LobbyGuest_lobby = scheduler.sendToNewRemoteSession(this, _RpsSystem_gameServer, "lobby_lobby", _lobby_LobbyGuest_sessionId, "_lobby_LobbyGuest_e28", _RpsSystem_userName);

                _currentState = s_4;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            }
        } else if(_currentState == s_4) {
            if(_signalID.equals("_lobby_LobbyGuest_e1")) {
                __actions__lobby_LobbyGuest_guest.showLobby();
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } 
//            else if(_signalID.equals("_lobby_LobbyGuest_e36")) {
//                _currentState = _final_state;
//                scheduler.deregisterStateMachine(this);
//                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//            }
            else if(_signalID.equals("_lobby_LobbyGuest_e39")) {
                scheduler.send(this, _sender, "_lobby_LobbyGuest_e42");
                _currentState = _final_state;
                scheduler.deregisterStateMachine(this);
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } 
//            else if(_signalID.equals("_lobby_LobbyGuest_e5")) {
//                java.util.List _lobby_LobbyGuest_e5 = (java.util.List) _data;
//                _lobby_LobbyGuest_o1_userList = _lobby_LobbyGuest_e5;
//                __actions__lobby_LobbyGuest_guest.updateUserList(_lobby_LobbyGuest_o1_userList);
//                _currentState = s_5;
//                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//            }
//            else if(_signalID.equals("_lobby_LobbyGuest_e11")) {
//                no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_e11 = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
//                if(__actions__lobby_LobbyGuest_guest.challengeRequestPending == null) {
//                    __actions__lobby_LobbyGuest_guest.challengeRequestPending = _lobby_LobbyGuest_e11;
//                    __actions__lobby_LobbyGuest_guest.challengeReceived();
//                    _currentState = s_8;
//                    return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//                } else {
//                    scheduler.send(this, _sender, "_lobby_LobbyGuest_e13", _lobby_LobbyGuest_e11);
//                    _currentState = s_4;
//                    return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//                }
//            }
            else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
                _currentState = s_4;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
                _currentState = s_4;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e45")) {
                java.lang.String _lobby_LobbyGuest_e45 = (java.lang.String) _data;
                _RpsSystem_o2_errorMsg = _lobby_LobbyGuest_e45;
                __actions__RpsSystem_gamePlayers.showDeniedMessage(_RpsSystem_o2_errorMsg);
                _currentState = _final_state;
                scheduler.deregisterStateMachine(this);
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
                _currentState = s_4;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } 
//            else if(_signalID.equals("_lobby_LobbyGuest_e49")) {
//                no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_e49 = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
//                _lobby_LobbyGuest_o3_chat = _lobby_LobbyGuest_e49;
//                __actions__lobby_LobbyGuest_guest.updateChat(_lobby_LobbyGuest_o3_chat);
//                _currentState = s_4;
//                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//            } 
            else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
                _currentState = s_4;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            }
        } else if(_currentState == s_5) {
            if(_signalID.equals("userLeaving")) {
                __actions__lobby_LobbyGuest_guest.closeLobby();
//                if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e6");}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e6");}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e6");}
//;
                scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e6");
                _currentState = s_7;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e39")) {
                scheduler.send(this, _sender, "_lobby_LobbyGuest_e42");
                _currentState = _final_state;
                scheduler.deregisterStateMachine(this);
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("challenge")) {
                no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_challenge = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
//                if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);}
//;
                scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("chatMessage")) {
                no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_msg = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
//                if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);}
//;
                scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);
                _currentState = s_5;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e49")) {
            	no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_e49 = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
            	_lobby_LobbyGuest_o3_chat = _lobby_LobbyGuest_e49;
            	__actions__lobby_LobbyGuest_guest.updateChat(_lobby_LobbyGuest_o3_chat);
            	_currentState = s_5;
            	return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e5")) {
            	java.util.List _lobby_LobbyGuest_e5 = (java.util.List) _data;
            	_lobby_LobbyGuest_o1_userList = _lobby_LobbyGuest_e5;
            	__actions__lobby_LobbyGuest_guest.updateUserList(_lobby_LobbyGuest_o1_userList);
            	_currentState = s_5;
            	return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            }
            else if(_signalID.equals("_lobby_LobbyGuest_e11")) {
            	no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_e11 = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
            	if(__actions__lobby_LobbyGuest_guest.challengeRequestPending == null) {
            		__actions__lobby_LobbyGuest_guest.challengeRequestPending = _lobby_LobbyGuest_e11;
            		__actions__lobby_LobbyGuest_guest.challengeReceived();
            		_currentState = s_6;
            		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            	} else {
            		scheduler.send(this, _sender, "_lobby_LobbyGuest_e13", _lobby_LobbyGuest_e11);
            		_currentState = s_5;
            		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            	}
            }
        } else if(_currentState == s_6) {
//            if(_signalID.equals("_lobby_LobbyGuest_e36")) {
//                _currentState = _final_state;
//                scheduler.deregisterStateMachine(this);
//                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
//            }  else
            	if(_signalID.equals("_lobby_LobbyGuest_e39")) {
                scheduler.send(this, _sender, "_lobby_LobbyGuest_e42");
                _currentState = _final_state;
                scheduler.deregisterStateMachine(this);
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
                _currentState = s_6;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
                _currentState = s_6;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
                _currentState = s_6;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e49")) {
                no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_e49 = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
                _lobby_LobbyGuest_o3_chat = _lobby_LobbyGuest_e49;
                __actions__lobby_LobbyGuest_guest.updateChat(_lobby_LobbyGuest_o3_chat);
                _currentState = s_6;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
                _currentState = s_6;
                return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("challengeResponse")) {
                boolean _lobby_LobbyGuest_response = ((Boolean)_data).booleanValue();
                if(_lobby_LobbyGuest_response==true) {
//                    if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e21", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e21", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e21", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//;
                	Challenge c = __actions__lobby_LobbyGuest_guest.getAndClearChallengeResponse(); 
                	scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e21", c);
                    _currentState = s_5;
                    return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
                } else {
//                    if(_RpsSystem_gameServer!=null) {scheduler.send(this, _RpsSystem_gameServer, "_lobby_LobbyGuest_e18", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//                else if (_lobby_LobbyGuest_lobby_parent!=null) {scheduler.sendToNewRemoteSession(this, _lobby_LobbyGuest_lobby_parent, "lobby_lobby", "_lobby_LobbyGuest_e18", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//                else {scheduler.sendBlind(this, "no.ntnu.item.arctis.mariubje.rps.rpssystem.GameServer", "_lobby_LobbyGuest_e18", __actions__lobby_LobbyGuest_guest.challengeRequestPending);}
//;
                	Challenge c = __actions__lobby_LobbyGuest_guest.getAndClearChallengeResponse(); 
                	scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e18", c);
                    _currentState = s_5;
                    return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
                }
            } else if(_signalID.equals("challenge")) {
            	no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_challenge = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
            	scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);
            	_currentState = s_6;
            	return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("userLeaving")) {
            	__actions__lobby_LobbyGuest_guest.closeLobby();
            	scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e6");
            	_currentState = s_8;
            	return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("chatMessage")) {
            	no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_msg = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
            	scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);
            	_currentState = s_6;
            	return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            } else if(_signalID.equals("_lobby_LobbyGuest_e11")) {
            	no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_e11 = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
            	if(__actions__lobby_LobbyGuest_guest.challengeRequestPending == null) {
            		__actions__lobby_LobbyGuest_guest.challengeRequestPending = _lobby_LobbyGuest_e11;
            		__actions__lobby_LobbyGuest_guest.challengeReceived();
            		_currentState = s_6;
            		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            	} else {
            		scheduler.send(this, _sender, "_lobby_LobbyGuest_e13", _lobby_LobbyGuest_e11);
            		_currentState = s_6;
            		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
            	}
            }
        } else if(_currentState == s_7) {
        	if(_signalID.equals("_lobby_LobbyGuest_e39")) {
        		scheduler.send(this, _sender, "_lobby_LobbyGuest_e42");
        		_currentState = _final_state;
        		scheduler.deregisterStateMachine(this);
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e36")) {
        		_currentState = _final_state;
        		scheduler.deregisterStateMachine(this);
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e49")) {
        		no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_e49 = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
        		_lobby_LobbyGuest_o3_chat = _lobby_LobbyGuest_e49;
        		__actions__lobby_LobbyGuest_guest.updateChat(_lobby_LobbyGuest_o3_chat);
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	}  else if(_signalID.equals("challenge")) {
        		no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_challenge = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("userLeaving")) {
        		__actions__lobby_LobbyGuest_guest.closeLobby();
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e6");
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("chatMessage")) {
        		no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_msg = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);
        		_currentState = s_7;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e11")) {
        		no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_e11 = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
        		if(__actions__lobby_LobbyGuest_guest.challengeRequestPending == null) {
        			__actions__lobby_LobbyGuest_guest.challengeRequestPending = _lobby_LobbyGuest_e11;
        			__actions__lobby_LobbyGuest_guest.challengeReceived();
        			_currentState = s_8;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		} else {
        			scheduler.send(this, _sender, "_lobby_LobbyGuest_e13", _lobby_LobbyGuest_e11);
        			_currentState = s_7;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		}
        	}
        } else if(_currentState == s_8) {
        	if(_signalID.equals("_lobby_LobbyGuest_e39")) {
        		scheduler.send(this, _sender, "_lobby_LobbyGuest_e42");
        		_currentState = _final_state;
        		scheduler.deregisterStateMachine(this);
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e36")) {
        		_currentState = _final_state;
        		scheduler.deregisterStateMachine(this);
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedOne")) {
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStartedOne")) {
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStoppedTwo")) {
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e49")) {
        		no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_e49 = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
        		_lobby_LobbyGuest_o3_chat = _lobby_LobbyGuest_e49;
        		__actions__lobby_LobbyGuest_guest.updateChat(_lobby_LobbyGuest_o3_chat);
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_rpsGame_RpsGame_gameStartedTwo")) {
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	}  else if(_signalID.equals("challenge")) {
        		no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_challenge = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e10", _lobby_LobbyGuest_challenge);
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("userLeaving")) {
        		__actions__lobby_LobbyGuest_guest.closeLobby();
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e6");
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("chatMessage")) {
        		no.ntnu.item.arctis.mariubje.rps.data.ChatMessage _lobby_LobbyGuest_msg = (no.ntnu.item.arctis.mariubje.rps.data.ChatMessage) _data;
        		scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e24", _lobby_LobbyGuest_msg);
        		_currentState = s_8;
        		return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        	} else if(_signalID.equals("_lobby_LobbyGuest_e11")) {
        		no.ntnu.item.arctis.mariubje.rps.data.Challenge _lobby_LobbyGuest_e11 = (no.ntnu.item.arctis.mariubje.rps.data.Challenge) _data;
        		if(__actions__lobby_LobbyGuest_guest.challengeRequestPending == null) {
        			__actions__lobby_LobbyGuest_guest.challengeRequestPending = _lobby_LobbyGuest_e11;
        			__actions__lobby_LobbyGuest_guest.challengeReceived();
        			_currentState = s_8;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		} else {
        			scheduler.send(this, _sender, "_lobby_LobbyGuest_e13", _lobby_LobbyGuest_e11);
        			_currentState = s_8;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		}
        	} else if(_signalID.equals("challengeResponse")) {
        		boolean _lobby_LobbyGuest_response = ((Boolean)_data).booleanValue();
        		if(_lobby_LobbyGuest_response==true) {
        			Challenge c = __actions__lobby_LobbyGuest_guest.getAndClearChallengeResponse(); 
        			scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e21", c);
        			_currentState = s_7;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		} else {
        			Challenge c = __actions__lobby_LobbyGuest_guest.getAndClearChallengeResponse(); 
        			scheduler.send(this, _lobby_LobbyGuest_lobby, "_lobby_LobbyGuest_e18", c);
        			_currentState = s_7;
        			return no.ntnu.item.ramses.runtime.Scheduler.IStateMachine.CONSUME_SIGNAL;
        		}
        	}
        }
        return DISCARD_SIGNAL;
    }

    public int fireTimer(java.lang.String _timerID){
        System.out.println("Fire Timer called. Timer ID: " + _timerID + ". StateMachine ID: " + getId());
                return DISCARD_SIGNAL;
    }

    public java.lang.String getId(){
        return this._stateMachineID;
    }

    public no.ntnu.item.ramses.runtime.Scheduler.IStateMachine createSession(java.lang.String partName, String sessionid){
        if(partName.equals("rpsGame_playerOne")) {
            no.ntnu.item.ramses.runtime.Scheduler.IStateMachine rpsGame_playerOne = new no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers.RpsGame_playerOneSM(scheduler, this, partName, sessionid);
            return rpsGame_playerOne;
        }
        else if (partName.equals("rpsGame_playerTwo")) {
        	no.ntnu.item.ramses.runtime.Scheduler.IStateMachine rpsGame_playerTwo = new no.ntnu.item.arctis.mariubje.rps.rpssystem.gameplayers.RpsGame_playerTwoSM(scheduler, this, partName, sessionid);
            return rpsGame_playerTwo;
        }
        return null;
    }

    public boolean matchOneOfControlStates(java.lang.String[] allowedStates){
        if(allowedStates == null) {
            return false;
        }
        for (int i = 0; i < allowedStates.length; i++) {
        if(new Integer(_currentState).equals(allowedStates[i])) {
            return true;
        }
        }
        return false;
    }

    public void setProperty(java.lang.String id, java.lang.Object property){
    }

	public Object getProperty(String propertyId) {
		// TODO Auto-generated method stub
		return null;
	}
}