package no.ntnu.item.arctis.mariubje.rps.rpsgame.host;

import no.ntnu.item.arctis.mariubje.rps.data.Challenge;
import no.ntnu.item.arctis.mariubje.rps.data.ChatMessage;
import no.ntnu.item.arctis.mariubje.rps.data.RpsResult;

public class Host {

	public java.lang.String playerOne;
	public java.lang.String playerTwo;
	public java.lang.String playerOneAction;
	public java.lang.String playerTwoAction;
	public no.ntnu.item.arctis.mariubje.rps.data.RpsResult result;

	public Challenge setPlayers(Challenge c) {
		playerOne = c.challenger;
		playerTwo = c.challenged;
		return c;
	}

	public void calculateResult() {
		RpsResult r = new RpsResult();
		r.playerOneAction = playerOneAction;
		r.playerTwoAction = playerTwoAction;
		
		if (playerOneAction.equals(playerTwoAction)) {
			r.winner = null;
		}
		else if (playerOneAction.equals("rock")) {
			if (playerTwoAction.equals("paper")) {
				r.winner = playerTwo;
			}
			else if (playerTwoAction.equals("scissors")) {
				r.winner = playerOne;
			}
		}
		else if (playerOneAction.equals("paper")) {
			if (playerTwoAction.equals("rock")) {
				r.winner = playerOne;
			}
			else if (playerTwoAction.equals("scissors")) {
				r.winner = playerTwo;
			}		
		}
		else if (playerOneAction.equals("scissors")) {
			if (playerTwoAction.equals("paper")) {
				r.winner = playerOne;
			}
			else if (playerTwoAction.equals("rock")) {
				r.winner = playerTwo;
			}		
		}
		
		playerOneAction = null;
		playerTwoAction = null;
		
		result = r;
	}
	
	public boolean isParticipant(String user) {
		return (user.equals(playerOne) || user.equals(playerTwo));
	}
}