package no.ntnu.item.arctis.runtime;

import java.util.Hashtable;

public abstract class AbstractRamsesRuntime extends AbstractRuntime {
	
//	public static final String PATH_TO_THIS_FILE = "src/no/ntnu/item/arctis/runtime/AbstractRamsesRuntime.java";
	
	public abstract void send(Object sender, Object receiver, String id);
	
	public abstract void send(Object sender, Object receiver, String ID, Object data);
	
	public abstract void sendToNewLocalSession(Object sender, String partName, String signalId, Object data, Hashtable properties);
	
	public abstract void sendToNewLocalSession(Object sender, String partName, String signalId, Hashtable properties);
	
	public abstract Object sendToNewRemoteSession(Object sender, Object outerComponent, String partName, Object sessionId, String signalId, Object data);
	
	public abstract Object sendToNewRemoteSession(Object sender, Object outerComponent, String partName, Object sessionId, String signalId);
	
	public abstract void sendToComponentMainStateMachine(Object sender, String signalId, Object data);
	
	public abstract void sendToComponentMainStateMachine(Object sender, String signalId);

	public abstract void startTimer(int delay, String timerId, Object stateMachine);
	
	public abstract void restartTimer(int delay, String timerId, Object stateMachine);
	
	public abstract void stopTimer(String timerId, Object stateMachine);
	
	/**
	 * @deprecated Use {@link #restartTimer(int, String, Object)}.
	 */
	public abstract void resetTimer(String timerID, Object stm);
	
	public abstract Object getMySessionId(Object sessionStateMachine);
		
	public abstract Object getFreshSessionId();
	
	public abstract Object getAddressWithSessionId(Object address, Object sessionId);
	
	public abstract IFilterableSession[] getSessions(Object mainStateMachine, String partName);
	
	public abstract Object getActionClass(IFilterableSession session, String actionClassFqn);

}
